#!/usr/bin/perl -w

use strict;
use warnings;
use Carp;
use WebService::Thumbalizr;

my $thumbalizr = WebService::Thumbalizr->new(
	secret => 'MY_SECRET',
	key	=> 'MY_KEY',
);

my $url = $thumbalizr->url('https://blitapp.com/blog/', mode => 'page');
my ($status, $image) = $thumbalizr->download($url);
print "$url $status\n";

($status, my $file) = $thumbalizr->download($url, "blog.png");
print "$file $status\n";

($status, my $file) = $thumbalizr->download_wait($url, "blog.png");
print "$file $status\n";